package com.steering.pss.plnsaleord.processOrder.entity;

/**
 * 数据库表COM_BASE_MANDREL所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author DESKTOP-LI8OG3P date 2016-12-06
 */
@SuppressWarnings("serial")
public class ComBaseMandrelEntity implements java.io.Serializable {
	/**
	 * 芯棒编码
	 */
	private String mandrelId = "";
	/**
	 * 芯棒直径(mm)
	 */
	private String diameterMandrel = "";
	/**
	 * 长度
	 */
	private String lenMandrel = "";
	/**
	 * 芯棒扣型
	 */
	private String screwModel = "";
	/**
	 * 锥度
	 */
	private String taperMandrel = "";
	/**
	 * 实心空心
	 */
	private String massyOrHollow = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";

	/**
	 * 芯棒编码
	 * 
	 * @return value
	 */
	public String getMandrelId() {
		return mandrelId;
	}

	/**
	 * 芯棒编码
	 * 
	 * @param mandrelId
	 *            value
	 */
	public void setMandrelId(String mandrelId) {
		this.mandrelId = mandrelId;
	}

	/**
	 * 芯棒直径(mm)
	 * 
	 * @return value
	 */
	public String getDiameterMandrel() {
		return diameterMandrel;
	}

	/**
	 * 芯棒直径(mm)
	 * 
	 * @param diameterMandrel
	 *            value
	 */
	public void setDiameterMandrel(String diameterMandrel) {
		this.diameterMandrel = diameterMandrel;
	}

	/**
	 * 长度
	 * 
	 * @return value
	 */
	public String getLenMandrel() {
		return lenMandrel;
	}

	/**
	 * 长度
	 * 
	 * @param lenMandrel
	 *            value
	 */
	public void setLenMandrel(String lenMandrel) {
		this.lenMandrel = lenMandrel;
	}

	/**
	 * 芯棒扣型
	 * 
	 * @return value
	 */
	public String getScrewModel() {
		return screwModel;
	}

	/**
	 * 芯棒扣型
	 * 
	 * @param screwModel
	 *            value
	 */
	public void setScrewModel(String screwModel) {
		this.screwModel = screwModel;
	}

	/**
	 * 锥度
	 * 
	 * @return value
	 */
	public String getTaperMandrel() {
		return taperMandrel;
	}

	/**
	 * 锥度
	 * 
	 * @param taperMandrel
	 *            value
	 */
	public void setTaperMandrel(String taperMandrel) {
		this.taperMandrel = taperMandrel;
	}

	/**
	 * 实心空心
	 * 
	 * @return value
	 */
	public String getMassyOrHollow() {
		return massyOrHollow;
	}

	/**
	 * 实心空心
	 * 
	 * @param massyOrHollow
	 *            value
	 */
	public void setMassyOrHollow(String massyOrHollow) {
		this.massyOrHollow = massyOrHollow;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
}
